org.apache.hadoop.fs

## Interface CanSetDropBehind

- All Known Implementing Classes:
    FSDataInputStream, FSDataOutputStream, HdfsDataInputStream, HdfsDataOutputStream

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface CanSetDropBehind

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDropBehind(Boolean dropCache)` Configure whether the stream should drop the cache.

- - ### Method Detail

    - #### setDropBehind

          void setDropBehind(Boolean dropCache)
                      throws IOException,
                             UnsupportedOperationException

      Configure whether the stream should drop the cache.
      Parameters:
        `dropCache` - Whether to drop the cache. null means to use the default value.
      Throws:
        `IOException` - If there was an error changing the dropBehind setting. UnsupportedOperationException If this stream doesn't support setting the drop-behind.
        `UnsupportedOperationException`

Copyright © 2022 Apache Software Foundation. All rights reserved.